Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357245 - [abrt] BUG: sleeping function called from invalid context at kernel/workqueue.c:2786 [NEEDINFO]
Summary: [abrt] BUG: sleeping function called from invalid context at kernel/workqueue...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:195f77d441ec02bcc3c756c75f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-17 07:50 UTC by Mikko Tiihonen
Modified: 2016-10-26 16:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:58:11 UTC
labbott: needinfo? (mikko.tiihonen)


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-17 07:50 UTC, Mikko Tiihonen
no flags Details

Description Mikko Tiihonen 2016-07-17 07:50:28 UTC
Additional info:
reporter:       libreport-2.7.1
BUG: sleeping function called from invalid context at kernel/workqueue.c:2786
in_atomic(): 1, irqs_disabled(): 0, pid: 4481, name: kworker/u16:1
INFO: lockdep is turned off.
CPU: 5 PID: 4481 Comm: kworker/u16:1 Not tainted 4.7.0-0.rc7.git3.1.fc25.x86_64 #1
Hardware name: Dell Inc. Precision 5510/08R8KJ, BIOS 01.02.00 04/07/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 00000000bc983f54 ffff8803d3a9b960 ffffffff81458dd5
 ffff8801e8e0b340 ffffffff81c61003 ffff8803d3a9b988 ffffffff810dc3b9
 ffffffff81c61003 0000000000000ae2 0000000000000000 ffff8803d3a9b9b0
Call Trace:
 [<ffffffff81458dd5>] dump_stack+0x86/0xc1
 [<ffffffff810dc3b9>] ___might_sleep+0x179/0x230
 [<ffffffff810dc4b9>] __might_sleep+0x49/0x80
 [<ffffffff810cae35>] flush_work+0x75/0x320
 [<ffffffff810cadc5>] ? flush_work+0x5/0x320
 [<ffffffff81108207>] ? add_lock_to_list.isra.29.constprop.45+0x77/0xb0
 [<ffffffff8110ca4d>] ? __lock_acquire+0xc4d/0x1210
 [<ffffffff8110b8c6>] ? mark_held_locks+0x76/0xa0
 [<ffffffff810cd406>] ? __cancel_work_timer+0x136/0x210
 [<ffffffff810cd419>] __cancel_work_timer+0x149/0x210
 [<ffffffff8110b8c6>] ? mark_held_locks+0x76/0xa0
 [<ffffffff818da6cc>] ? _raw_spin_unlock_irq+0x2c/0x40
 [<ffffffff810cd4f0>] cancel_work_sync+0x10/0x20
 [<ffffffff8142e535>] blk_mq_cancel_requeue_work+0x15/0x20
 [<ffffffffc005a720>] nvme_stop_queues+0x90/0x190 [nvme_core]
 [<ffffffffc005a695>] ? nvme_stop_queues+0x5/0x190 [nvme_core]
 [<ffffffffc00f2f76>] nvme_dev_disable+0x76/0x340 [nvme]
 [<ffffffff8110b8c6>] ? mark_held_locks+0x76/0xa0
 [<ffffffff8110b9e5>] ? trace_hardirqs_on_caller+0xf5/0x1b0
 [<ffffffff8110baad>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffffc00f325a>] nvme_suspend+0x1a/0x20 [nvme]
 [<ffffffff814b3818>] pci_pm_suspend+0x78/0x150
 [<ffffffff814b37a0>] ? pci_pm_freeze+0xf0/0xf0
 [<ffffffff815d37b2>] dpm_run_callback+0xb2/0x2d0
 [<ffffffff815d469a>] __device_suspend+0x13a/0x380
 [<ffffffff815d48ff>] async_suspend+0x1f/0xa0
 [<ffffffff810d792a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810cc2f2>] process_one_work+0x242/0x700
 [<ffffffff810cc26a>] ? process_one_work+0x1ba/0x700
 [<ffffffff810cc7fe>] worker_thread+0x4e/0x490
 [<ffffffff810cc7b0>] ? process_one_work+0x700/0x700
 [<ffffffff810d3be1>] kthread+0x101/0x120
 [<ffffffff8110b9e5>] ? trace_hardirqs_on_caller+0xf5/0x1b0
 [<ffffffff818db1ef>] ret_from_fork+0x1f/0x40
 [<ffffffff810d3ae0>] ? kthread_create_on_node+0x250/0x250

Comment 1 Mikko Tiihonen 2016-07-17 07:50:40 UTC
Created attachment 1180666 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:19:39 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Laura Abbott 2016-10-26 16:58:11 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.